Subject: bug#73280: 30.0.90; Eglot: eglot-workspace-configuration might not be found in .dir-locals.el

From: João Távora <[email-masked]>
Date: Mon, 16 Sep 2024 14:48:22 +0100

On Mon, Sep 16, 2024 at 12:38 PM Eli Zaretskii <[email-masked]> wrote:

> João and Stefan, any comments?
>
> FWIW, I'd rather think this is a feature, since users don't need
> separate Eglot settings for ada-mode and ada-ts-mode.  But maybe I'm
> missing something.

You didn't miss that much.  This is half-feature, half
headache-I-didn't-want-to-worry-about. So I put int the 'car'
on purpose.  The first of the modes listed in a e-s-programs entry
is usually the most representative one of the language, more or less.

Is there a downside to mentioning a major mode you don't
actually use in your .dir-locals.el, Troy?

João

PS: This is again because Emacs doesn't have a great way to
refer to "language" or to associate languages to modes and
vice-versa. I certainly don't want to reopen that can of worms.